<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$periodo=$_GET['id_periodo'];
$sede=$_GET['sede'];
$nivel=$_GET['nivel'];
$turno=$_GET['turno'];
$semestre=$_GET['semestre'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");


// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].$descripcion;

//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="99") $nombre_semestre=$semestre;

$nombre_mencion="TODAS";
if($nivel=="CIU") $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
if($nivel=="CG") {
   $nombre_mencion="COMPONENTE GENERAL";
   $nivel="COMUN";
}   
if($nivel=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($nivel=="RT") $nombre_mencion="RENTAS";
if($nivel=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";


// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,historial_alumnos.mencion,historial_alumnos.semestre,historial_alumnos.turno
FROM alumnos, historial_alumnos
where alumnos.id_alumno=historial_alumnos.id_alumno and historial_alumnos.id_periodo='$periodo' ";
if($nivel!="0") $query=$query." and historial_alumnos.mencion='$nivel'";
if($sede!="0") $query=$query." and historial_alumnos.sede='$sede'";
if($turno!="0") $query=$query." and historial_alumnos.turno='$turno'";
if($semestre!="99") $query=$query." and historial_alumnos.semestre='$semestre'";
$query=$query. " ORDER BY convert(alumnos.cedula,signed)";

//echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."ESTUDIANTES INSCRITOS".'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("            LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);

$pdf->ezText('<b>'."            CARRERA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));
$pdf->ezText('<b>'.utf8_decode("            MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion).'<b>'."   SEDE: ".'</b>'.utf8_decode($nombre_sede),10,array('justification'=>'left'));



// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,2,3.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA ').'</b>', 
              'apellidosynombres'=>'<b>'.'        APELLIDOS Y NOMBRES DEL ESTUDIANTE'.'</b>',
			  'semestre'=>'<b>'.utf8_decode('SEM.').'</b>',
			  'turno'=>'<b>'.utf8_decode('TURNO').'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2];
	$semestre= $row[4]; // apellidos y nombres 
	$turno= $row[5];
   
    if($turno=="1") $nombre_turno="MATUTINO";
    if($turno=="2") $nombre_turno="VESPERTINO";
    if($turno=="4") $nombre_turno="NOCTURNO";
    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.'    ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'semestre'=>utf8_decode($semestre),
					'turno'=>utf8_decode($nombre_turno)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'semestre'=>array('justification'=>'center')
			 ,'turno'=>array('justification'=>'left')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 


?> 